// ------------------------------------------------------------------------- //
// eslint configuration for this file
//
/* global window */

/* exported Logger */


// ------------------------------------------------------------------------- //
// enforce strict mode
"use strict";


// ------------------------------------------------------------------------- //
var Logger = class Logger {

  // ....................................................................... //
  constructor(module_name) {
    this.application_name = "[overview-button]";
    this.module_name = module_name;
  }

  // ....................................................................... //
  debug(message) {
    if (window.overview_button.debug === true) {
      let msg = `[${this.application_name}] > ${this.module_name}: ${message}`;
      window.log(msg);
    }
  }

};
